<div class="center">
  <form [formGroup]="withdrawForm" (ngSubmit)="onWithdraw()">
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter bankcard id</mat-label>
        <input type="number" matInput formControlName="bankCardId">
        <mat-error *ngIf="bankCardIdControl.hasError('required')">Please enter bank card id</mat-error>
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Enter amount for withdraw</mat-label>
        <input type="number" matInput formControlName="amount">
        <mat-error *ngIf="amountControl.hasError('required')">Please enter amount for withdraw</mat-error>
      </mat-form-field>
    </div>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!withdrawForm.valid">Withdraw</button>
    </div>
  </form>
</div>
<div *ngIf="banknotesFromWithdraw">
  <h1 class="center">You received:</h1>
  <mat-list role="list" class="list-withdraw" *ngFor="let banknote of banknotesFromWithdraw">
    <mat-list-item class="list-item-text border" role="listitem">{{ banknote.count }} of {{ banknote.type.name }}</mat-list-item>
  </mat-list>
</div>
